﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGNullableTypeTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public object SelectedItem { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<50; i++)
            {
                SampleData sd = new SampleData()
                {
                    ID = i,
                    NullableDec1 = (decimal?)r.NextDouble() * r.Next(100),
                    NullableDec2 = (decimal?)r.NextDouble() * r.Next(100),
                    NullableDec3 = (decimal?)r.NextDouble() * r.Next(100),
                    NullableInt1 = r.Next(100),
                    NullableInt2 = r.Next(100),
                    NullableInt3 = r.Next(100)
                };

                if(i % 3 == 0)
                {
                    sd.NullableInt1 = null;
                    sd.NullableDec3 = null;
                }
                else if(i % 3 == 1)
                {
                    sd.NullableInt2 = null;
                    sd.NullableDec2 = null;
                }
                else
                {
                    sd.NullableInt3 = null;
                    sd.NullableDec1 = null;
                }

                Data.Add(sd);
            }

            SelectedItem = Data[1];
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public int? NullableInt1 { get; set; }
        public int? NullableInt2 { get; set; }
        public int? NullableInt3 { get; set; }
        public decimal? NullableDec1 { get; set; }
        public decimal? NullableDec2 { get; set; }
        public decimal? NullableDec3 { get; set; }
    }        
}
